import * as lambda from 'aws-cdk-lib/aws-lambda';
import { Construct } from 'constructs';
/**
 * Props for TransitGatewayResolverFunction
 */
export interface TransitGatewayResolverFunctionProps extends lambda.FunctionOptions {
}
/**
 * An AWS Lambda function which executes src/ec2/lib/custom-resources/transit-gateway-resolver.
 */
export declare class TransitGatewayResolverFunction extends lambda.Function {
    constructor(scope: Construct, id: string, props?: TransitGatewayResolverFunctionProps);
}
