import { IVpnGateway } from 'aws-cdk-lib/aws-ec2';
import { TransitGatewayLocalVpnEndpoint } from './transit-gateway';
import { VpnGatewayLocalVpnEndpoint } from './vpn-gateway';
import { ITransitGateway } from '../../transit-gateway';
/**
 * Provides options for specifying the local side of a VPN connection.
 */
export declare class VpnConnectionLocalEndpoint {
    static fromTransitGateway(transitGateway: ITransitGateway): TransitGatewayLocalVpnEndpoint;
    static fromVpnGateway(vpnGateway: IVpnGateway): VpnGatewayLocalVpnEndpoint;
}
